掲示板利用宣言

 次のフォームをすべてチェックしてからご利用ください。

 私は

 題名と投稿者名は具体的に書きます。
 課題の丸投げはしません。
 ソースの添付は「HTML変換ツール」で字下げします。
 返信の引用は最小限にします。
 環境(OSとコンパイラ)や症状は具体的に詳しく書きます。
 返信の付いた投稿は削除しません。
 マルチポスト(多重投稿)はしません。

掲示板2

管理者用メニュー    ツリーに戻る    携帯用URL    ホームページ    ログ    タグ一覧

No.27581

VC++6.0でVC++4.0の環境というか互換性を制限するには
投稿者---きんもくせい(2006/07/08 07:35:18)


はじめまして、宜しければアドバイスを頂ければ幸いです。

Windows2000
VisualC++6.0
VisualC++4.0

うまく表現できるかわかりませんが、
VC++6.0でプログラムを開発する際に、
VC++6.0の機能等をVC++4.0の状態に、
制限することは可能なのでしょうか?

VC++6.0で開発されたPG≠VC++4.0で開発されたPG
になるとおもいます。

そこで、
VC++6.0を制限(VC++4.0)して開発されたPG=VC++4.0で開発されたPG
というようには出来ませんでしょうか?

もし可能であれば、やり方等記載されているページ等
教えていただきたいと考えています。

回答ではなくヒントやアドバイスでもかまいません。
お手すきの際にでもよろしくお願い致します。

以上




この投稿にコメントする

削除パスワード

発言に関する情報 題名 投稿番号 投稿者名 投稿日時
<子記事> Re:VC++6.0でVC++4.0の環境というか互換性を制限するには 27582 ぽへぇ 2006/07/08 09:21:17


No.27582

Re:VC++6.0でVC++4.0の環境というか互換性を制限するには
投稿者---ぽへぇ(2006/07/08 09:21:17)


制限したい機能にもよると思います。
操作感からライブラリまで全部同じというわけにはいかないでしょう。

っつうか、どうして?
2つともサポートは終わっているし、
保守目的なら6.0を、などと言わずに4.0をそのままインストール。



この投稿にコメントする

削除パスワード

No.27583

Re:VC++6.0でVC++4.0の環境というか互換性を制限するには
投稿者---きんもくせい(2006/07/08 13:45:37)


きんもくせいです 早速のアドバイスありがとうございます。

複数人で1つのプログラムを作ることになり、
VC++4.0で作成することになってしまいました。

私はVC++6.0を持っているのですが、
VC++4.0で作成されたPG(メイン)は
VC++6.0でも互換性が取れると思いますが、
逆に私のほうでVC++6.0で作成したPG(サブ)はVC++6.0の固有機能を
知らぬ間に使用してしまった場合、
VC++4.0と互換性が取れなくなるのではないかと考えています。
(そもそもこの考えが間違っている場合、
 その旨注意を頂ければありがたいです)

→VC++4.0でサポートされていない機能(関数)を、
 知識不足から使用しないようにできればいいな と思っています

今からVC++4.0を購入することも考えましたが、
今あるVC++6.0でなんとか出来るかわかりませんが、
なにかオプションの設定などで、VC++6.0の機能を制限して、
VC++4.0と同等の環境でPGを作れないものかと、
質問させていただいたしだいであります。

例えば妄想かもしれませんが、ある関数を使用したら、
「この関数はVC++4.0ではサポートされていません 云々」
警告が出る・・・・そこまでは要求しませんが
正直なところ自分の知識不足考慮不足からくるリスクを
出来る限り排除しておきたいと考えました。
(何か障害が発生した際を考慮するとバージョンは
 あわせておきたいけれど、サポートが終了している商品を
 今から購入するのも・・・)

長々と乱筆申し訳ございません。

宜しければ、お時間の都合の宜しい時でかまいませんので、
ヒント、アドバイス等頂けましたら幸いです。

以上



この投稿にコメントする

削除パスワード

No.27592

Re:VC++6.0でVC++4.0の環境というか互換性を制限するには
投稿者---επιστημη(2006/07/09 14:52:47)


>正直なところ自分の知識不足考慮不足からくるリスクを
>出来る限り排除しておきたいと考えました。

ならば全員の環境を揃えるのがベスト。



この投稿にコメントする

削除パスワード

No.27593

【解決】VC++6.0でVC++4.0の環境というか互換性を制限するには
投稿者---きんもくせい(2006/07/09 18:03:36)


>>正直なところ自分の知識不足考慮不足からくるリスクを
>>出来る限り排除しておきたいと考えました。
>
>ならば全員の環境を揃えるのがベスト。

きんもくせいです アドバイスありがとうです。

解決ボタンがないので題名に追記させていただきたいと思います。
みなさまご多忙の中アドバイスありがとうございました。

以上


この投稿にコメントする

削除パスワード

管理者用メニュー    ツリーに戻る    携帯用URL    ホームページ    ログ    タグ一覧